C  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *          
C     FUNCTION SUBPROGRAM FOR OHSAKI-WATABE'S ACCELERATION              
C  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *          
C                                                                       
C                                        CODED BY Y.OHSAKI              
C                                                                       
C     PURPOSE                                                           
C       TO COMPUTE THE MAX. ACCELERATION IN GALS OF EARTHQUAKE MOTION   
C       AT BEDROCK BY OHSAKI-WATABE'S FORMULA FOR GIVEN MAGNITUDE AND   
C       EPICENTRAL DISTANCE. AS THE FOCAL DEPTH, HALF OF IIDA'S RADIUS  
C       OF THE AFTER-SHOCK REGION IS ASSUMED.                           
C                                                                       
C     USAGE                                                             
C       OWAC(EM,R) AS PRIMARY                                           
C                                                                       
C     DESCRIPTION OF ARGUMENTS                                          
C       EM - MAGNITUDE                                                  
C       R  - EPICENTRAL DISTANCE IN KILOMETERS                          
C                                                                       
C     SUBROUTINES AND FUNCTION SUBPROGRAMS REQUIRED                     
C       NONE                                                            
C                                                                       
      FUNCTION OWAC(EM,R)                                               
C                                                                       
      D=10.**(0.353*EM-1.435)                                           
      OWAC=10.**(0.440*EM-1.38*ALOG10(SQRT(R*R+D*D))+1.04)              
      RETURN                                                            
      END                                                               
